Subject: bug#76394: mouse-face property not working in tab-bar

From: Ship Mints <[email-masked]>
Date: Sun, 2 Mar 2025 16:06:40 -0500

On Sun, Mar 2, 2025 at 2:37 PM Ship Mints <[email-masked]> wrote:

> On Sun, Mar 2, 2025 at 12:52 PM Juri Linkov <[email-masked]> wrote:
>
>> > It seemed natural to add tab-bar-tab-name-format-mouse-face function to
>> the
>> > tab-bar-tab-name-format-functions list.  See attached.
>>
>> Thanks, I've tested your patch, and it works great!
>>
>> > +(defface tab-bar-tab-highlight
>> > +  '((t :inherit highlight))
>> > +  "Tab bar face for highlighting."
>> > +  :version "31.1"
>> > +  :group 'tab-bar-faces)
>>
>> Please use exactly the same style as in 'tab-line-highlight'.
>>
>
> Done.
>
> > +(defun tab-bar-tab-name-format-mouse-face (name tab _i)
>>
>> The arg 'tab' needs an underscore since compilation gives the
>> warning: Unused lexical argument `tab'.
>>
>
> Done.  I almost always run the byte compiler to check my changes but
> neglected this time.
>
> > +      /* display_tab_bar does not yet support R2L.  */
>> > +      eassert (row->reversed_p);
>>
>> Is this still needed?
>>
>
> Eli asked for that.
>
> While we're at this, should we implement the equivalent of
> tab-line-close-highlight in tab-bar?  I can do that before I share the next
> patch.
>

I went ahead and mousified the close buttons, too, like tab-line does.

Revised patch attached with revised NEWS for both new faces.